eoParetoRanking(3)

NAME
eoParetoRanking - Straightforward pareto ranking.

SYNOPSIS

#include <eoParetoRanking.h>

Inherits eoPerf2WorthCached< EOT, double >.

  Public Member Functions
eoParetoRanking (eoDominanceMap< EOT > &_dominanceMap)
void calculate_worths (const eoPop< EOT > &_pop)
The actual virtual function the derived classes should implement.

  Private Attributes
eoDominanceMap< EOT > & dominanceMap

Detailed Description

  template<class EOT> class eoParetoRanking< EOT >
Straightforward pareto ranking. Every individual gets a rank according to the number of elements it dominates. Note that without niching, this technique will usually not find the whole front of non-dominated solutions, but will quite likely converge on a single spot on the front.

Definition at line 40 of file eoParetoRanking.h.

Author

Generated automatically by Doxygen for EO from the source code.